import { ChangeDetectorRef, OnInit } from '@angular/core';
import { Subscription } from "rxjs";
import { ActivatedRoute } from "@angular/router";
import { ReportsService } from "../reports.service";
import { PageEvent } from "@angular/material/paginator";
import 'jspdf-autotable';
import * as i0 from "@angular/core";
export declare class ExecuteReportComponent implements OnInit {
    private route;
    private cd;
    private reportService;
    urlRpt: string;
    executeForm: any;
    reportName: any;
    $subs: Subscription[];
    query: {
        total: number;
        pageNum: number;
        pageSize: number;
        data: null;
        reportId: null;
    };
    reportId: any;
    data: any;
    list: any;
    displayedColumns: any;
    hiddenDisplayedColumns: any;
    hiddenListData: any;
    hiddenData: any;
    hiddenHeader: any;
    tempData: any;
    excel: never[];
    constructor(route: ActivatedRoute, cd: ChangeDetectorRef, reportService: ReportsService);
    ngOnInit(): void;
    loadDataExecuted(fileType?: any): void;
    ngOnDestroy(): void;
    getNextPage(e: PageEvent): void;
    SavePDF(): void;
    SaveEXCEL(): void;
    pdfPreparing(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ExecuteReportComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ExecuteReportComponent, "lib-execute-report", never, { "urlRpt": "urlRpt"; }, {}, never, never>;
}
